### Function

# Gcr SystemPrompt open_for_prompter

#### Declaration [src]

    GcrPrompt*
    gcr_system_prompt_open_for_prompter (
      const gchar* prompter_name,
      gint timeout_seconds,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Opens a system prompt. If prompter_name is `NULL`, then the default system prompter is used.

Most system prompters only allow showing one prompt at a time, and if another prompt is shown then this method will block for up to `timeout_seconds` seconds. If `timeout_seconds` is equal to -1, then this will block indefinitely until the prompt can be opened. If `timeout_seconds` expires, then this function will fail with a `GCR_SYSTEM_PROMPT_IN_PROGRESS` error.

#### Parameters

`prompter_name`

  Type: `const gchar*`

  The prompter dbus name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`timeout_seconds`

  Type: `gint`

  The number of seconds to wait to access the prompt, or -1

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GcrSystemPrompt`

The prompt, or `NULL` if prompt could not be opened.

The caller of the function takes ownership of the data, and is responsible for freeing it.